%Returns the computed angular shifts between two input sequences: a is the
%previous sequence, b the current sequence. -1 represents a rotation
%backwards in time, +1 means that b is 1 step forward of a. 
function s = speed(a,b)
N = length(a);
C = circcorr(a,b);
[maxv maxi] = max(C);
if (maxi < N/2)
    s = -maxi;
else
    s = N - maxi;
end